Subject: Re: linux-next: build failure after merge of most trees

From: Nicholas Piggin <[email-masked]>
Date: Fri, 23 Jun 2017 00:43:10 +1000

On Thu, 22 Jun 2017 23:43:10 +0930
Alan Modra <[email-masked]> wrote:

> On Thu, Jun 22, 2017 at 06:41:16PM +1000, Nicholas Piggin wrote:
> > Is there any way for the linker to place the inputs to avoid unresolvable
> > relocations where possible?  
> 
> Not without quite a lot of work writing support for that feature.
> 

Okay, just wondering if I'd missed something. It'd probably wouldn't
be enough benefit to justify a significant amount of work. We'd be
better off looking at link time optimisation if we wanted to go that
way.

Thanks,
Nick